Index: code/trunk/data/levels/empty_level.oxw
===================================================================
--- code/trunk/data/levels/empty_level.oxw	(revision 5989)
+++ code/trunk/data/levels/empty_level.oxw	(revision 6417)
@@ -17,6 +17,21 @@
     skybox       = "Orxonox/Starbox"
   >
+
+<!--Rocket position="-10, 3.5,800" velocity="0,0,-100">
+      <attached>
+        <Model pitch=180 position="0,0,0" scale=1.5 mesh="rocket_test.mesh" >
+	  <attached>
+           <ParticleEmitter pitch=0 roll=0 position="0,5,0" source="Orxonox/laser" lifetime=2.0 loop=1 startdelay=3.0/>
+           <ParticleEmitter pitch=-90 roll=0 position="0,-5,0" source="Orxonox/particlecanon" lifetime=2.0 loop=1 startdelay=3.0/>
+           <ParticleEmitter pitch=-90 roll=0 position="0,0,-2" source="Orxonox/rocketfire" lifetime=2.0 loop=1 startdelay=3.0 />
+	   <ParticleEmitter pitch=-90 roll=0 position="0,0,-2" source="Orxonox/smoke" lifetime=2.0 loop=1 startdelay=3.0 />
+          </attached>
+	  </Model>
+	</attached>
+    </Rocket-->
+
+
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshippirate />
+    <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
   </Scene>
 </Level>
Index: code/trunk/data/levels/events.oxw
===================================================================
--- code/trunk/data/levels/events.oxw	(revision 5989)
+++ code/trunk/data/levels/events.oxw	(revision 6417)
@@ -45,5 +45,5 @@
       works with all amounts of objects from zero to infinity. In the examples I used two objects each.
     -->
-      
+
 
     <!-- red -->
Index: code/trunk/data/levels/gametype_asteroids.oxw
===================================================================
--- code/trunk/data/levels/gametype_asteroids.oxw	(revision 5989)
+++ code/trunk/data/levels/gametype_asteroids.oxw	(revision 6417)
@@ -28,9 +28,9 @@
 ?>
 
-    <MovableEntity 
-     position="<?lua print(math.random()* 15000 - 1000) ?>,<?lua print(math.random() * 12000 - 4000) ?>,<?lua print(math.random() * 12000 - 4000) ?>"        collisionType=dynamic 
+    <MovableEntity
+     position="<?lua print(math.random()* 15000 - 1000) ?>,<?lua print(math.random() * 12000 - 4000) ?>,<?lua print(math.random() * 12000 - 4000) ?>"        collisionType=dynamic
      linearDamping=0.8
      angularDamping=0
-     scale=<?lua print(j * 150)?> 
+     scale=<?lua print(j * 150)?>
      collisiondamage=1
      enablecollisiondamage=true>
Index: code/trunk/data/levels/includes/weaponsettings3.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings3.oxi	(revision 5989)
+++ code/trunk/data/levels/includes/weaponsettings3.oxi	(revision 6417)
@@ -2,9 +2,10 @@
       <WeaponSlot position="-15.0,-1.5,0" />
       <WeaponSlot position=" 15.0,-1.5,0" />
-      <WeaponSlot position="  0.0, 0.0,0" />
+      <WeaponSlot position="    0,   0,0" />
     </weaponslots>
     <weaponsets>
       <WeaponSet firemode=0 />
       <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
     </weaponsets>
     <weapons>
@@ -13,4 +14,5 @@
           <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
           <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
         </links>
         <Weapon>
@@ -36,4 +38,7 @@
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
+        <Weapon>
+          <RocketFire mode=2 muzzleoffset="0,0,0" />
+        </Weapon>
       </WeaponPack>
       <WeaponPack>
@@ -41,7 +46,7 @@
           <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
         </links>
-        <Weapon>
-          <!-- EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" / -->
-        </Weapon>
+        <!--Weapon>
+          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
+        </Weapon-->
       </WeaponPack>
     </weapons>
Index: code/trunk/data/levels/includes/weaponsettings_HXY.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_HXY.oxi	(revision 6417)
+++ code/trunk/data/levels/includes/weaponsettings_HXY.oxi	(revision 6417)
@@ -0,0 +1,26 @@
+    <weaponslots>
+      <WeaponSlot position=" 6,-2,2" />
+      <WeaponSlot position="-6,-2,2" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+        </links>
+        <Weapon>
+          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
+        </Weapon>
+        <Weapon>
+          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
Index: code/trunk/data/levels/includes/weaponsettings_Transporter.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_Transporter.oxi	(revision 6417)
+++ code/trunk/data/levels/includes/weaponsettings_Transporter.oxi	(revision 6417)
@@ -0,0 +1,26 @@
+    <weaponslots>
+      <WeaponSlot position=" 55,-10,20" />
+      <WeaponSlot position="-55,-10,20" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+        </links>
+        <Weapon>
+          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
+        </Weapon>
+        <Weapon>
+          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
Index: code/trunk/data/levels/includes/weaponsettings_ghost.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_ghost.oxi	(revision 5989)
+++ code/trunk/data/levels/includes/weaponsettings_ghost.oxi	(revision 6417)
@@ -16,8 +16,10 @@
           <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
           <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
           <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
       </WeaponPack>
Index: code/trunk/data/levels/old/physicstest.oxw
===================================================================
--- code/trunk/data/levels/old/physicstest.oxw	(revision 5989)
+++ code/trunk/data/levels/old/physicstest.oxw	(revision 6417)
@@ -12,8 +12,8 @@
 
 <?lua
-for i = 1, 226, 1 
+for i = 1, 226, 1
 do ?>
   <Model position="<?lua print(math.random() * 40000 - 20000)?>, <?lua print(math.random() * 40000 - 20000) ?>, <?lua print(math.random() * 40000 - 20000) ?>" scale="<?lua print(math.random() * 250 + 20) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" rotationAxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationRate="<?lua print(math.random() * 30 + 15) ?>" />
-<?lua 
+<?lua
 end
 ?>
Index: code/trunk/data/levels/old/physicstest2.oxw
===================================================================
--- code/trunk/data/levels/old/physicstest2.oxw	(revision 5989)
+++ code/trunk/data/levels/old/physicstest2.oxw	(revision 6417)
@@ -21,6 +21,6 @@
     <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
 
-	<!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
-	<StaticEntity
+    <!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
+    <StaticEntity
      position        = "0,0,0"
      name            = "banana"
@@ -35,19 +35,19 @@
         <PlaneCollisionShape name="thePlane" planeNormal="0,1,0" planeOffset=0 />
       </collisionShapes>
-	</StaticEntity>
-
-	<!-- red sphere for phsics engine testing purposes-->
-	<!--StaticEntity position="40,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="sphere.mesh" />
-		</attached>
-	</StaticEntity-->
-
-	<!-- yellow cube for phsics engine testing purposes-->
-	<!--StaticEntity position="80,0,0">
+    </StaticEntity>
+
+    <!-- red sphere for phsics engine testing purposes-->
+    <!--StaticEntity position="40,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
+      </attached>
+    </StaticEntity-->
+
+    <!-- yellow cube for phsics engine testing purposes-->
+    <!--StaticEntity position="80,0,0">
       <attached>
         <Model position="0,0,0" scale=1 mesh="cube.mesh" />
       </attached>
-	</StaticEntity-->
+    </StaticEntity-->
 
     <MovableEntity
Index: code/trunk/data/levels/old/presentation_physics.oxw
===================================================================
--- code/trunk/data/levels/old/presentation_physics.oxw	(revision 5989)
+++ code/trunk/data/levels/old/presentation_physics.oxw	(revision 6417)
@@ -30,7 +30,7 @@
         <PlaneCollisionShape planeNormal="0,1,0" planeOffset=0 />
       </collisionShapes>
-	</StaticEntity>
+    </StaticEntity>
 
-	<MovableEntity
+    <MovableEntity
      position        = "0,250,500"
      rotationaxis    = "1, 1, 1"
@@ -64,5 +64,5 @@
         <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
       </collisionShapes>
-	</MovableEntity>
+    </MovableEntity>
 
     <?lua
Index: code/trunk/data/levels/old/princessaeryn.oxw
===================================================================
--- code/trunk/data/levels/old/princessaeryn.oxw	(revision 5989)
+++ code/trunk/data/levels/old/princessaeryn.oxw	(revision 6417)
@@ -6,11 +6,11 @@
 
 <?lua
-	dofile("includes/CuboidSpaceStation.lua")
+    dofile("includes/CuboidSpaceStation.lua")
 ?>
 
 <NotificationQueue
-	name  = "notification"
-	position = "1.0, 1.0"
-	targets = "questsystem"
+ name  = "notification"
+ position = "1.0, 1.0"
+ targets = "questsystem"
 />
 
Index: code/trunk/data/levels/old/questsystem.oxw
===================================================================
--- code/trunk/data/levels/old/questsystem.oxw	(revision 5989)
+++ code/trunk/data/levels/old/questsystem.oxw	(revision 6417)
@@ -6,7 +6,7 @@
 
 <NotificationQueue
-	name  = "notification"
-	position = "1.0, 1.0"
-	targets = "all"
+ name  = "notification"
+ position = "1.0, 1.0"
+ targets = "all"
 />
 
@@ -29,17 +29,17 @@
         </GlobalQuest>
 
-				<ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-				  <events>
-				    <spawn>
-				      <EventTrigger delay=1>
-				        <events>
-				          <trigger>
-				            <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
-				          </trigger>
-				        </events>
-				      </EventTrigger>
-				    </spawn>
-				  </events>
-				</ParticleSpawner>
+        <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+            <events>
+                <spawn>
+                    <EventTrigger delay=1>
+                        <events>
+                            <trigger>
+                                <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+                            </trigger>
+                        </events>
+                    </EventTrigger>
+                </spawn>
+            </events>
+        </ParticleSpawner>
 
         <QuestEffectBeacon position="0,0,100" times=-1>
Index: code/trunk/data/levels/old/sample4.oxw
===================================================================
--- code/trunk/data/levels/old/sample4.oxw	(revision 5989)
+++ code/trunk/data/levels/old/sample4.oxw	(revision 6417)
@@ -23,8 +23,8 @@
         <Model position="0,0,0" scale=10 mesh="satellite.mesh" />
         <MovableEntity position="-4,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=50>
-	  <attached>
+          <attached>
             <Model position="4,0,0" scale=10 mesh="satellitedish.mesh"/>
           </attached>
-	</MovableEntity>
+        </MovableEntity>
         <ParticleEmitter pitch=-135 roll=30 position="-14, 3.5,-2.5" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
         <ParticleEmitter pitch=135 roll=30 position="-14, 3.5,-9" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
Index: code/trunk/data/levels/old/spaceshiptemplates_physics.oxw
===================================================================
--- code/trunk/data/levels/old/spaceshiptemplates_physics.oxw	(revision 5989)
+++ code/trunk/data/levels/old/spaceshiptemplates_physics.oxw	(revision 6417)
@@ -10,5 +10,5 @@
    auxilaryThrust    = 30;
    rotationThrust    = 10;
-   
+
    collisionType     = "dynamic"
    mass              = 100
Index: code/trunk/data/levels/old/tutorial_hs08.oxw
===================================================================
--- code/trunk/data/levels/old/tutorial_hs08.oxw	(revision 5989)
+++ code/trunk/data/levels/old/tutorial_hs08.oxw	(revision 6417)
@@ -19,8 +19,8 @@
 <!-- Embedded lua code (creates random asteroids) -->
 <?lua
-for i = 1, 226, 1 
+for i = 1, 226, 1
 do ?>
   <Model position="<?lua print(math.random() * 40000 - 20000)?>, <?lua print(math.random() * 40000 - 20000) ?>, <?lua print(math.random() * 40000 - 20000) ?>" scale="<?lua print(math.random() * 250 + 20) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" rotationAxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationRate="<?lua print(math.random() * 30 + 15) ?>" />
-<?lua 
+<?lua
 end
 ?>
Index: code/trunk/data/levels/presentation.oxw
===================================================================
--- code/trunk/data/levels/presentation.oxw	(revision 5989)
+++ code/trunk/data/levels/presentation.oxw	(revision 6417)
@@ -20,30 +20,30 @@
 
 
-	<!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
-	<!--StaticEntity position="0,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="axes.mesh" />
-		</attached>
-	</StaticEntity -->
+    <!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
+    <!--StaticEntity position="0,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="axes.mesh" />
+      </attached>
+    </StaticEntity -->
 
-	<!-- red sphere for phsics engine testing purposes-->
-	<!--StaticEntity position="40,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="sphere.mesh" />
-		</attached>
-	</StaticEntity-->
+    <!-- red sphere for phsics engine testing purposes-->
+    <!--StaticEntity position="40,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
+      </attached>
+    </StaticEntity-->
 
-	<!-- yellow cube for phsics engine testing purposes-->
-	<!--StaticEntity position="80,0,0">
-		<attached>
-			<Model position="0,0,0" scale=1 mesh="cube.mesh" />
-		</attached>
-	</StaticEntity-->
+    <!-- yellow cube for phsics engine testing purposes-->
+    <!--StaticEntity position="80,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="cube.mesh" />
+      </attached>
+    </StaticEntity-->
 
-	<!-- Carrier with guns not implemented yet -->
-	<MovableEntity position="-2000,-1000,-2000" pitch="-90" roll="90">
+    <!-- Carrier with guns not implemented yet -->
+    <MovableEntity position="-2000,-1000,-2000" pitch="-90" roll="90">
       <attached>
         <Model position="0,0,0" scale=10 mesh="Carrier.mesh" />
-		<Model position="0,30,20" scale=10 mesh="pirate.mesh" roll="180" />
+        <Model position="0,30,20" scale=10 mesh="pirate.mesh" roll="180" />
         <Model position="-80,-30,20" scale=10 mesh="pirate.mesh" roll="180" />
       </attached>
@@ -54,8 +54,8 @@
         <Model position="0,0,0" scale=10 mesh="satellite.mesh" />
         <MovableEntity position="-4,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=50>
-	  <attached>
+          <attached>
             <Model position="4,0,0" scale=10 mesh="satellitedish.mesh"/>
           </attached>
-	</MovableEntity>
+        </MovableEntity>
         <ParticleEmitter pitch=-135 roll=30 position="-14, 3.5,-2.5" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
         <ParticleEmitter pitch=135 roll=30 position="-14, 3.5,-9" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
Index: code/trunk/data/levels/presentation09.oxw
===================================================================
--- code/trunk/data/levels/presentation09.oxw	(revision 5989)
+++ code/trunk/data/levels/presentation09.oxw	(revision 6417)
@@ -24,5 +24,5 @@
 max = 20
 for i = 1, max, 1
-do 
+do
     x = math.sin(i/max*6)*40000
     y = math.cos(i/max*6)*40000
@@ -30,10 +30,10 @@
     ?>
 <?lua
-for k = 1, 25, 1 
+for k = 1, 25, 1
 do
 j = math.random()
 ?>
-    
-    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+
+    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
@@ -43,10 +43,10 @@
       </collisionShapes> <?lua end ?>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
 <?lua end ?>
     <Planet position="0,0,0" scale=10000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
-    
+
   </Scene>
 </Level>
Index: code/trunk/data/levels/presentation09b.oxw
===================================================================
--- code/trunk/data/levels/presentation09b.oxw	(revision 5989)
+++ code/trunk/data/levels/presentation09b.oxw	(revision 6417)
@@ -86,5 +86,5 @@
       </controller>
     </SpaceShip>
-    
+
     <PickupSpawner item="JumpItem" triggerDistance="20" respawnTime="10000" position="-3800, 2500, 1500">
         <attached>
@@ -93,5 +93,5 @@
         </attached>
     </PickupSpawner>
-    
+
     <PickupSpawner item="HealthUsableItem" triggerDistance="20" respawnTime="10000" position="-4150,2750,1550">
         <attached>
@@ -100,5 +100,5 @@
         </attached>
     </PickupSpawner>
-    
+
     <PickupSpawner item="HealthImmediateItem" triggerDistance="20" respawnTime="3" position="2300, 4300, 2400">
         <attached>
@@ -121,5 +121,5 @@
 
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do
 ?>
@@ -136,10 +136,10 @@
       </controller>
     </SpaceShip>
-<?lua 
-end
-?>
-
-<?lua
-for i = 1, 12, 1 
+<?lua
+end
+?>
+
+<?lua
+for i = 1, 12, 1
 do
 ?>
@@ -156,5 +156,5 @@
       </controller>
     </SpaceShip>
-<?lua 
+<?lua
 end
 ?>
@@ -173,5 +173,5 @@
 
 <?lua
-for i = 1, 12, 1 
+for i = 1, 12, 1
 do
 ?>
@@ -190,5 +190,5 @@
       </controller>
     </SpaceShip>
-<?lua 
+<?lua
 end
 ?>
@@ -320,5 +320,5 @@
 
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do
 ?>
@@ -335,10 +335,10 @@
       </controller>
     </SpaceShip>
-<?lua 
-end
-?>
-
-<?lua
-for i = 1, 200, 1 
+<?lua
+end
+?>
+
+<?lua
+for i = 1, 200, 1
 do
 x = math.random() * 100  + (i-70) * 100
@@ -347,11 +347,11 @@
 s = math.random() * 60 + 30
 ?>
-    
-    <MovableEntity position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 - 15) ?>"> 
+
+    <MovableEntity position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 - 15) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(s) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
       </attached>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
@@ -363,5 +363,5 @@
     return table.getn(elements)
 end
-for i = 1, 150, 1 
+for i = 1, 150, 1
 do
 x = math.random() * 750 - 4500
@@ -370,14 +370,14 @@
 e = math.floor(math.random()*elements.length()+1)
 ?>
-    
-    <MovableEntity position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 - 15) ?>"> 
+
+    <MovableEntity position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 - 15) ?>">
       <attached>
         <Model position="0,0,0" scale="<?lua print(sizes[e]) ?>" mesh="<?lua print( elements[e]) ?>" />
       </attached>
     </MovableEntity>
-<?lua 
-end
-?>
-    
+<?lua
+end
+?>
+
   </Scene>
 </Level>
Index: code/trunk/data/levels/presentationHS09.oxw
===================================================================
--- code/trunk/data/levels/presentationHS09.oxw	(revision 6417)
+++ code/trunk/data/levels/presentationHS09.oxw	(revision 6417)
@@ -0,0 +1,410 @@
+<?lua
+  include("hudtemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_H2.oxt")
+  include("templates/spaceship_pirate.oxt")
+?>
+
+<Level
+ name         = "Presentation09"
+ description  = "presentation level for Orxonox Convention X"
+ gametype     = TeamDeathmatch
+ hasPhysics = true
+>
+  <Scene
+   ambientlight = "0.6, 0.4, 0.4"
+   skybox       = "Orxonox/skypanoramagen2"
+  >
+    <Light type=directional position="0,0,0" direction="0.683, 0.289, 0.670" diffuse="0.8, 0.5, 0.5, 1.0" specular="0.8, 0.4, 0.4, 1.0" />
+
+    <Template name="JumpItem" baseclass="Jump">
+        <Jump velocity="0,0,-1000" jumpsAvailable="4" guiImage="jumpturbinepickup.jpg" guiText="Jump" />
+    </Template>
+    <Template name="HealthImmediateItem" baseclass="HealthImmediate">
+        <HealthImmediate recoveredHealth="100" guiImage="decal.jpg" guiText="Health" />
+    </Template>
+    <Template name="HealthUsableItem" baseclass="HealthUsable">
+        <HealthImmediate recoveredHealth="80" guiImage="goldwrenchpickup.jpg" guiText="Health" />
+    </Template>
+
+    <SpawnPoint position="-3800, 2500, 1500" direction="-0.683, -0.289, -0.670"  spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+
+
+    <SpaceShip position="-3900,3000,1000">
+      <templates>
+        <Template link=spaceshipHtwo/>
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=100 team=0>
+          <waypoints>
+            <StaticEntity position="-3850,2800,1450" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="-4100,2600,1600">
+      <templates>
+        <Template link=spaceshipHtwo/>
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=100 team=0>
+          <waypoints>
+            <StaticEntity position="-3850,2800,1450" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="-4000,2500,1500">
+      <templates>
+        <Template link=spaceshipHtwo/>
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=100 team=0>
+          <waypoints>
+            <StaticEntity position="-3850,2800,1450" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="-4100,2700,1500">
+      <templates>
+        <Template link=spaceshipHtwo/>
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=100 team=0 />
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="-4150,2750,1550">
+      <templates>
+        <Template link=spaceshipHtwo/>
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=100 team=0 />
+      </controller>
+    </SpaceShip>
+
+    <Billboard material="Test/Fog" position="-3800, 2500, 1500" alpha="0.1" color="1, 1, 1, 0.1" scale="0.5" />
+
+    <PickupSpawner item="JumpItem" triggerDistance="20" respawnTime="10000" position="-3800, 2500, 1500">
+        <attached>
+            <!--<Model mesh="jumpthrust.mesh" scale="1.0" />
+            <Billboard material="Examples/Flare" colour="0.5, 1.0, 0.3" scale="0.5" />-->
+        </attached>
+    </PickupSpawner>
+
+    <PickupSpawner item="HealthUsableItem" triggerDistance="20" respawnTime="10000" position="-4150,2750,1550">
+        <attached>
+            <Model mesh="gwrench.mesh" scale="1.0" />
+            <Billboard material="Examples/Flare" colour="0.3, 0.8, 1.0" scale="0.5" />
+        </attached>
+    </PickupSpawner>
+
+    <PickupSpawner item="HealthImmediateItem" triggerDistance="20" respawnTime="3" position="2300, 4300, 2400">
+        <attached>
+            <Model mesh="gwrench.mesh" scale="1.0" />
+            <Billboard material="Examples/Flare" colour="0.9, 1.0, 0.1" scale="0.5" />
+        </attached>
+    </PickupSpawner>
+
+    <Billboard position="-2500, 2400, 1500" material="Examples/Flare" />
+    <EventDispatcher>
+      <targets>
+        <EventTarget target=pirates />
+      </targets>
+      <events>
+        <activity>
+          <DistanceTrigger position="-2500, 2400, 1500" distance=250 target="SpaceShip" stayactive=true />
+        </activity>
+      </events>
+    </EventDispatcher>
+
+<?lua
+for i = 1, 10, 1
+do
+?>
+    <SpaceShip position="<?lua print(5000 + math.random() * 4000 - 2000) ?>,<?lua print(0 + math.random() * 2000 - 1000) ?>,<?lua print(math.random() * 2000 - 1000) ?>">
+      <templates>
+        <Template link=spaceshippirate />
+      </templates>
+      <controller>
+        <WaypointPatrolController name=pirates alertnessradius=1000 team=1 active=false>
+          <waypoints>
+            <StaticEntity position="3100, 2000, 1500" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+<?lua
+end
+?>
+
+<?lua
+for i = 1, 12, 1
+do
+?>
+    <SpaceShip position="<?lua print(2800 + math.random() * 2000 - 1000) ?>,<?lua print(2500+ math.random() * 1000 - 500) ?>,<?lua print(2500 + math.random() * 1000 - 500) ?>" >
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=1000 team=0>
+          <waypoints>
+            <StaticEntity position="<?lua print(2800 + math.random() * 1000 - 500) ?>,<?lua print(2500 + math.random() * 1000 - 500) ?>,<?lua print(1500 + math.random() * 1000 - 500) ?>" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+<?lua
+end
+?>
+
+    <Billboard position="2300, 4400, 2500" material="Examples/Flare" />
+    <EventDispatcher>
+      <targets>
+        <EventTarget target=attacker />
+      </targets>
+      <events>
+        <activity>
+          <DistanceTrigger position="2300, 4400, 2500" distance=50 target="SpaceShip" stayactive=true />
+        </activity>
+      </events>
+    </EventDispatcher>
+
+<?lua
+for i = 1, 12, 1
+do
+?>
+    <SpaceShip position="<?lua print(2500 + math.random() * 500 - 250) ?>,<?lua print(4800 + math.random() * 500 - 250) ?>,<?lua print(2500 + math.random() * 500 - 250) ?>" >
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <WaypointPatrolController name=attacker alertnessradius=<?lua print(math.random() * 2000) ?> team=0 active=false>
+          <waypoints>
+            <StaticEntity position="<?lua print(2800 + math.random() * 500 - 250) ?>,<?lua print(2500 + math.random() * 500 - 250) ?>,<?lua print(1500 + math.random() * 500 - 250) ?>" />
+            <StaticEntity position="<?lua print(5000 + math.random() * 500 - 250) ?>,<?lua print(0 + math.random() * 500 - 250) ?>,<?lua print(0 + math.random() * 500 - 250) ?>" />
+            <StaticEntity position="<?lua print(7500 + math.random() * 500 - 250) ?>,<?lua print(-2500 + math.random() * 500 - 250) ?>,<?lua print(-1500 + math.random() * 500 - 250) ?>" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+<?lua
+end
+?>
+
+    <StaticEntity position="2800, 2500, 2500">
+        <attached>
+            <CheckPoint />
+            <Model position="400, 0, 0" scale="40" mesh="DuBall2.mesh"/>
+            <Model position="-400, 0, 0" scale="40" mesh="DuBall1.mesh"/>
+        </attached>
+    </StaticEntity>
+<!--
+    <Destroyer position="6500, -2000, -1000" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=500>
+        <attached>
+            <CheckPoint />
+            <Model position="0,0,0" scale="5" mesh="Carrier.mesh"/>
+            <Backlight
+                mainstate=activity
+                active=false
+                scale=0.4
+                name=bltest
+                position=" 7.6, 0, 6"
+                colour="0.2, 0.65, 1.0, 1.0"
+                width=15
+                length=1500
+                lifetime=2
+                elements=50
+                trailmaterial="Trail/backlighttrail"
+                turnontime=1
+                turnofftime=1
+                material="Flares/ThrusterFlare1"
+            />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
+            <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
+            <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
+            <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
+            <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
+            <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
+            <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
+        </collisionShapes>
+    </Destroyer>
+-->
+    <Destroyer
+        position          = "6500,-2000,-1000"
+        collisionType     = dynamic
+        mass              = 100000
+        angularDamping    = 0.9999999
+        health            = 1000
+        maxhealth         = 1000
+        initialhealth     = 1000
+    >
+        <controller>
+          <WaypointPatrolController team=1 />
+        </controller>
+        <attached>
+            <Model mesh="Carrier.mesh" scale="5" />
+            <Backlight
+                mainstate=activity
+                active=false
+                scale=0.4
+                name=bltest
+                position=" 7.6, 0, 6"
+                colour="0.2, 0.65, 1.0, 1.0"
+                width=15
+                length=1500
+                lifetime=2
+                elements=50
+                trailmaterial="Trail/backlighttrail"
+                turnontime=1
+                turnofftime=1
+                material="Flares/ThrusterFlare1"
+            />
+            <?lua for i=0,8,1 do ?>
+                <BlinkingBillboard
+                    position="<?lua print(200-270/8*i)?> ,15,2"
+                    material="Examples/Flare"
+                    colour="1.0, 0.5, 0.3"
+                    phase=<?lua print(-360/8*i)?>
+                    amplitude=0.1
+                    frequency=0.5
+                    quadratic=1
+                />
+
+                <BlinkingBillboard
+                    position="<?lua print(200-270/8*i)?>,-15,2"
+                    material="Examples/Flare"
+                    colour="1.0, 0.5, 0.3"
+                    phase=<?lua print(-360/8*i)?>
+                    amplitude=0.1
+                    frequency=0.5
+                    quadratic=1
+                />
+            <?lua end ?>
+
+            <Backlight
+                scale=1
+                position=" 169, 75, -15"
+                colour="1, 0.85, 0.5, 0.5"
+                width=40
+                length=1000
+                lifetime=5
+                elements=15
+                trailmaterial="Trail/backlighttrail"
+                material="Examples/Flare"
+            />
+            <Backlight
+                scale=1
+                position=" 169, -75, -15"
+                colour="1, 0.85, 0.5, 0.5"
+                width=40
+                length=1000
+                lifetime=5
+                elements=15
+                trailmaterial="Trail/backlighttrail"
+                material="Examples/Flare" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
+            <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
+            <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
+            <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
+            <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
+            <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
+            <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
+        </collisionShapes>
+    </Destroyer>
+
+<?lua
+for i = 1, 10, 1
+do
+?>
+    <SpaceShip position="<?lua print(6200 + math.random() * 2000 - 1000) ?>,<?lua print(-1500 + math.random() * 1000 - 500) ?>,<?lua print(-700 + math.random() * 1000 - 500) ?>" >
+      <templates>
+        <Template link=spaceshippirate />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=1000 team=1>
+          <waypoints>
+            <StaticEntity position="<?lua print(6000 + math.random() * 1000 - 500) ?>,<?lua print(-2000 + math.random() * 1000 - 500) ?>,<?lua print(-1000 + math.random() * 1000 - 500) ?>" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+<?lua
+end
+?>
+
+<?lua
+elements = {"asteroid_ice.mesh", "asteroid_UV.mesh", "ast1.mesh", "ast2.mesh", "ast3.mesh", "ast4.mesh", "ast5.mesh", "ast6.mesh"}
+elements.length = function()
+    return table.getn(elements)
+end
+for i = 1, 100, 1
+do
+x = math.random() * 100  + (i) * 100
+y = math.random() * 3000 - 1500
+z = math.random() * 3000 - 1500 + (i-100) * 10
+s = math.random() * 60 + 30
+e = math.floor(math.random()*elements.length()+1)
+?>
+
+    <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
+      <attached>
+        <Model position="0,0,0" scale=<?lua print(s) ?> mesh="<?lua print(elements[e])?>" />
+      </attached>
+    </MovableEntity>
+<?lua
+end
+?>
+
+<?lua
+for i = 1, 100, 1
+do
+x = math.random() * 200 + i*200
+y = math.random() * 3000 - 1500
+z = math.random() * 3000 - 1500 + (i-100) * 10
+s = math.random() * 60 + 30
+?>
+  <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
+<!-- <Billboard material="Test/Fog" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>"  color="1, 1, 1, 0.01" scale="20" />
+-->
+<?lua
+end
+?>
+
+<?lua
+elements = {"BodyDebris1.mesh", "CockpitDebris.mesh", "LightningGun.mesh", "WingDebris1.mesh", "WingDebris2.mesh", "satellitedish.mesh", "Thruster.mesh"}
+sizes = {4, 4, 4, 4, 4, 10, 20}
+elements.length = function()
+    return table.getn(elements)
+end
+for i = 1, 150, 1
+do
+x = math.random() * 750 - 4500
+y = math.random() * 1000 + 2000
+z = math.random() * 500 + 1000
+e = math.floor(math.random()*elements.length()+1)
+?>
+
+    <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30- 15) ?>">
+      <attached>
+        <Model position="0,0,0" scale="<?lua print(sizes[e]) ?>" mesh="<?lua print( elements[e]) ?>" />
+      </attached>
+    </MovableEntity>
+<?lua
+end
+?>
+<!--
+    <Planet position="1000,0,0" mass=900000 scale=1000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
+-->
+</Scene>
+</Level>
Index: code/trunk/data/levels/presentationHS09b.oxw
===================================================================
--- code/trunk/data/levels/presentationHS09b.oxw	(revision 6417)
+++ code/trunk/data/levels/presentationHS09b.oxw	(revision 6417)
@@ -0,0 +1,270 @@
+<?lua
+  include("stats.oxo")
+  include("hudtemplates3.oxo")
+?>
+
+<?lua
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_pirate.oxt")
+  include("templates/spaceship_ghost.oxt")
+  include("templates/spaceship_HXY.oxt")
+  include("templates/spaceship_Transporter.oxt")
+  include("templates/spaceship_HXY_SL.oxt")
+  include("templates/spaceship_Transporter_SL.oxt")
+?>
+
+<Level
+ name         = "Sample"
+ description  = "Just a few tests"
+ gametype     = TeamDeathmatch
+>
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+
+<AmbientSound ambientSource="Mars.ogg" looping="true" playOnLoad="true" />
+
+   <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+<?lua
+   for i = 1, 50, 1
+   do
+   x = math.random() * 2000  + 4000
+   y = math.random() * 4000 - 2000
+   z = math.random() * 2000 - 1000
+   s = math.random() * 100
+   ?>
+
+    <MovableEntity collisiontype=dynamic mass=<?lua print(s*10)?> position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.01 angularDamping=0 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
+      <attached>
+        <Model position="0,0,0" scale=<?lua print(s) ?> mesh="asteroid_UV.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(s*0.9) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+     <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
+<?lua
+end
+?>
+
+<?lua
+elements = {"BodyDebris1.mesh", "CockpitDebris.mesh", "LightningGun.mesh", "WingDebris1.mesh", "WingDebris2.mesh", "satellitedish.mesh", "Thruster.mesh"}
+sizes = {4, 4, 4, 4, 4, 10, 20}
+elements.length = function()
+    return table.getn(elements)
+end
+for i = 1, 100, 1
+do
+x = math.random() * 750 - 4500
+y = math.random() * 1000 + 2000
+z = math.random() * 500 + 1000
+e = math.floor(math.random()*elements.length()+1)
+?>
+
+    <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30- 15) ?>">
+      <attached>
+        <Model position="0,0,0" scale="<?lua print(sizes[e]) ?>" mesh="<?lua print( elements[e]) ?>" />
+      </attached>
+    </MovableEntity>
+<?lua
+end
+?>
+<?lua
+for i = 1,12, 1
+do
+?>
+    <SpaceShip position="<?lua print(math.random()*500 + 4500) ?>,<?lua print(-(math.random()*500 -250)) ?>,<?lua print(i*50 - 150) ?>" >
+      <templates>
+        <Template link=spaceshipHXYSL />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=4000 team=0 active=true>
+          <waypoints>
+            <StaticEntity position="5000,<?lua print(math.random()*50)?> ,<?lua print(i*50 -150) ?>" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+<?lua
+end
+?>
+<SpaceShip position="5000,100,100" >
+      <templates>
+        <Template link=spaceshipTransporterSL />
+      </templates>
+      <controller>
+        <WaypointPatrolController name=pirate  target=pirate alertnessradius=1000 team=0 active=false>
+          <waypoints>
+            <StaticEntity position="5000,100,1100" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+</SpaceShip>
+    <Destroyer
+        position          = "-5000,100 ,100"
+        collisionType     = dynamic
+        mass              = 100000
+        angularDamping    = 0.9999999
+        health            = 1000
+        maxhealth         = 1000
+        initialhealth     = 1000
+    >
+        <controller>
+          <WaypointPatrolController team=1 />
+        </controller>
+        <attached>
+            <Model mesh="Carrier.mesh" scale="5" />
+            <Backlight
+                mainstate=activity
+                active=false
+                scale=0.4
+                name=bltest
+                position=" 7.6, 0, 6"
+                colour="0.2, 0.65, 1.0, 1.0"
+                width=15
+                length=1500
+                lifetime=2
+                elements=50
+                trailmaterial="Trail/backlighttrail"
+                turnontime=1
+                turnofftime=1
+                material="Flares/ThrusterFlare1"
+            />
+            <?lua for i=0,8,1 do ?>
+                <BlinkingBillboard
+                    position="<?lua print(200-270/8*i)?> ,15,2"
+                    material="Examples/Flare"
+                    colour="1.0, 0.5, 0.3"
+                    phase=<?lua print(-360/8*i)?>
+                    amplitude=0.1
+                    frequency=0.5
+                    quadratic=1
+                />
+
+                <BlinkingBillboard
+                    position="<?lua print(200-270/8*i)?>,-15,2"
+                    material="Examples/Flare"
+                    colour="1.0, 0.5, 0.3"
+                    phase=<?lua print(-360/8*i)?>
+                    amplitude=0.1
+                    frequency=0.5
+                    quadratic=1
+                />
+            <?lua end ?>
+
+            <Backlight
+                scale=1
+                position=" 169, 75, -15"
+                colour="1, 0.85, 0.5, 0.5"
+                width=40
+                length=1000
+                lifetime=5
+                elements=15
+                trailmaterial="Trail/backlighttrail"
+                material="Examples/Flare"
+            />
+            <Backlight
+                scale=1
+                position=" 169, -75, -15"
+                colour="1, 0.85, 0.5, 0.5"
+                width=40
+                length=1000
+                lifetime=5
+                elements=15
+                trailmaterial="Trail/backlighttrail"
+                material="Examples/Flare" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
+            <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
+            <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
+            <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
+            <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
+            <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
+            <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
+        </collisionShapes>
+    </Destroyer>
+
+   <?lua
+   for i = 1, 50, 1
+   do
+   x = -(math.random() * 2000  + 4000)
+   y = math.random() * 4000 - 2000
+   z = math.random() * 2000 - 1000
+   s = math.random() * 100
+   ?>
+
+    <MovableEntity collisiontype=dynamic mass=<?lua print(s*10)?> position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.01 angularDamping=0 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
+      <attached>
+        <Model position="0,0,0" scale=<?lua print(s) ?> mesh="asteroid_ice.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(s*0.9)?>" />
+      </collisionShapes>
+    </MovableEntity>
+    <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
+<?lua
+end
+?>
+<!--<EventDispatcher>
+      <targets>
+        <EventTarget target=attack />
+        <EventTarget target=wait />
+      </targets>
+      <events>
+        <activity>
+          <DistanceTrigger position="0, 0, 4500" distance=100 target="SpaceShip" stayactive=true />
+        </activity>
+      </events>
+</EventDispatcher>
+
+<EventDispatcher>
+      <targets>
+        <EventTarget target=wait />
+      </targets>
+      <events>
+        <activity>
+          <DistanceTrigger position="0, 0, 4500" distance=100 target="SpaceShip" stayactive=false />
+        </activity>
+      </events>
+</EventDispatcher>-->
+
+<?lua
+for i = 1,25, 1
+do
+?>
+<SpaceShip position="<?lua print(-(math.random()*500 + 4500)) ?>,<?lua print(-(math.random()*500 -250)) ?>,<?lua print(i*50 - 150) ?>" >
+      <templates>
+        <Template link=spaceshipghost />
+      </templates>
+      <controller>
+
+          <WaypointPatrolController name=attack alertnessradius=15000 team=1 active=false>
+          <events>
+           <activity>
+             <DistanceTrigger position="-5000, 100, 100" distance=2000 target="Camera" stayactive=true />
+           </activity>
+          </events>
+          </WaypointPatrolController>
+
+      </controller>
+    </SpaceShip>
+<?lua
+end
+?>
+
+
+
+    <AmbientSound ambientSource="Earth.ogg" looping="true" playOnLoad="false">
+      <events>
+        <activity>
+          <DistanceTrigger position="2000,0,0" distance=500 target="Camera" />
+        </activity>
+      </events>
+    </AmbientSound>
+
+    <SpawnPoint position="5000,0,2000" spawnclass=SpaceShip pawndesign=spaceshipassff  team=0/>
+  </Scene>
+</Level>
Index: code/trunk/data/levels/presentation_dm.oxw
===================================================================
--- code/trunk/data/levels/presentation_dm.oxw	(revision 5989)
+++ code/trunk/data/levels/presentation_dm.oxw	(revision 6417)
@@ -18,8 +18,8 @@
 
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
     <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-<?lua 
+<?lua
 end
 ?>
@@ -35,10 +35,10 @@
 
 <?lua
-for i = 1, 100, 1 
+for i = 1, 100, 1
 do
 j = math.random()
 ?>
-    
-    <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+
+    <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
@@ -48,5 +48,5 @@
       </collisionShapes>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
Index: code/trunk/data/levels/princessaeryn.oxw
===================================================================
--- code/trunk/data/levels/princessaeryn.oxw	(revision 5989)
+++ code/trunk/data/levels/princessaeryn.oxw	(revision 6417)
@@ -6,5 +6,5 @@
 
 <?lua
-	dofile("includes/CuboidSpaceStation.lua")
+    dofile("includes/CuboidSpaceStation.lua")
 ?>
 
Index: code/trunk/data/levels/questsystem2.oxw
===================================================================
--- code/trunk/data/levels/questsystem2.oxw	(revision 5989)
+++ code/trunk/data/levels/questsystem2.oxw	(revision 6417)
@@ -37,5 +37,5 @@
                     <QuestDescription title="The super Hint.3" description="Be proud of yourself.3" />
                 </QuestHint>
-            </hints>    
+            </hints>
             <subquests>
                 <GlobalQuest id="e17f5245-f95b-44a8-b6cf-402274435ed4">
@@ -215,5 +215,5 @@
 max = 20
 for i = 1, max, 1
-do 
+do
     x = math.sin(i/max*6)*40000
     y = math.cos(i/max*6)*40000
@@ -221,10 +221,10 @@
     ?>
 <?lua
-for k = 1, 25, 1 
+for k = 1, 25, 1
 do
 j = math.random()
 ?>
-    
-    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+
+    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
@@ -234,10 +234,10 @@
       </collisionShapes> <?lua end ?>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
 <?lua end ?>
     <Planet position="0,0,0" scale=10000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
-    
+
   </Scene>
 </Level>
Index: code/trunk/data/levels/sound.oxw
===================================================================
--- code/trunk/data/levels/sound.oxw	(revision 6417)
+++ code/trunk/data/levels/sound.oxw	(revision 6417)
@@ -0,0 +1,48 @@
+<?lua
+  include("stats.oxo")
+  include("hudtemplates3.oxo")
+?>
+
+<?lua
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_pirate.oxt")
+?>
+
+<Level
+ name         = "Sample"
+ description  = "Just a few tests"
+>
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+  <AmbientSound ambientSource="Earth.ogg" looping="true" playOnLoad="true" />
+  <AmbientSound ambientSource="Mars.ogg" looping="true">
+    <events>
+        <activity>
+            <DistanceTrigger position="400,0,0" distance=200 target="Camera">
+                <attached>
+                    <ParticleSpawner position="0,0,0" source="Orxonox/fire3" lifetime=0 loop=0 autostart=1 />
+                </attached>
+            </DistanceTrigger>
+        </activity>
+    </events>
+  </AmbientSound>
+  <AmbientSound ambientSource="Jupiter.ogg" looping="true">
+    <events>
+        <activity>
+            <DistanceTrigger position="400,150,0" distance=200 target="Camera">
+                <attached>
+                    <ParticleSpawner position="0,0,0" source="Orxonox/fire3" lifetime=0 loop=0 autostart=1 />
+                </attached>
+            </DistanceTrigger>
+        </activity>
+    </events>
+  </AmbientSound>
+
+
+  <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+  <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+  </Scene>
+</Level>
Index: code/trunk/data/levels/teambasematchlevel.oxw
===================================================================
--- code/trunk/data/levels/teambasematchlevel.oxw	(revision 5989)
+++ code/trunk/data/levels/teambasematchlevel.oxw	(revision 6417)
@@ -41,10 +41,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 1" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
@@ -78,10 +78,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 2" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
@@ -115,10 +115,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 3" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
@@ -151,10 +151,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 4" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
@@ -188,10 +188,10 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
-for i = 1, 10, 1 
+for i = 1, 10, 1
 do ?>
         <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
           <events><spawn><EventListener event="base 5" /></spawn></events>
         </ParticleSpawner>
-<?lua 
+<?lua
 end
 ?>
Index: code/trunk/data/levels/templates/spaceship_HXY.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceship_HXY.oxt	(revision 6417)
+++ code/trunk/data/levels/templates/spaceship_HXY.oxt	(revision 6417)
@@ -0,0 +1,94 @@
+<Template name=spaceshipHXY>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipHXYcameras
+   engine                 = spaceshipHXYengine
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   primaryThrust     = 100;
+   auxilaryThrust    = 30;
+   rotationThrust    = 25;
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=-90 roll=0 scale=4 mesh="HXY.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+
+<?lua
+  include("includes/weaponsettings_HXY.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipHXYcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,8, 60" drag=true mouselook=true />
+      <CameraPosition position="0,16, 120" drag=true mouselook=true />
+      <CameraPosition position="0,24,180" drag=true mouselook=true />
+      <CameraPosition position="0,60,10" pitch="-80" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipHXYengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 6
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 500
+   accelerationbrake     = 500
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 2, 0, 20" colour="1, 0.7, 0.1, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-2, 0, 20" colour="1, 0.7, 0.1, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 2, 0, 20" colour="1, 0.7, 0.1, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-2, 0, 20" colour="1, 0.7, 0.1, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 2, 0, 20" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-2, 0, 20" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 2, 0, 20" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-2, 0, 20" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/spaceship_HXY_SL.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceship_HXY_SL.oxt	(revision 6417)
+++ code/trunk/data/levels/templates/spaceship_HXY_SL.oxt	(revision 6417)
@@ -0,0 +1,90 @@
+<Template name=spaceshipHXYSL>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipHXYcameras
+   engine                 = spaceshipHXYengine
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   primaryThrust     = 100;
+   auxilaryThrust    = 30;
+   rotationThrust    = 25;
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=-90 roll=0 scale=4 mesh="HXY.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+
+<?lua
+  include("includes/weaponsettings_HXY.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipHXYcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,8, 60" drag=true mouselook=true />
+      <CameraPosition position="0,16, 120" drag=true mouselook=true />
+      <CameraPosition position="0,24,180" drag=true mouselook=true />
+      <CameraPosition position="0,60,10" pitch="-80" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipHXYengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 6
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   accelerationfront     = 500
+   accelerationbrake     = 500
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 2, 0, 20" colour="1, 0.7, 0.1, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-2, 0, 20" colour="1, 0.7, 0.1, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 2, 0, 20" colour="1, 0.7, 0.1, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-2, 0, 20" colour="1, 0.7, 0.1, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 2, 0, 20" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-2, 0, 20" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 2, 0, 20" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-2, 0, 20" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/spaceship_Transporter.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceship_Transporter.oxt	(revision 6417)
+++ code/trunk/data/levels/templates/spaceship_Transporter.oxt	(revision 6417)
@@ -0,0 +1,94 @@
+<Template name=spaceshipTransporter>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipTransportercameras
+   engine                 = spaceshipTransporterengine
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 1000
+   maxhealth         = 1500
+   initialhealth     = 1000
+
+   primaryThrust     = 50;
+   auxilaryThrust    = 10;
+   rotationThrust    = 15;
+
+   collisionType     = "dynamic"
+   mass              = 1000
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=10 mesh="Transporter.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+
+<?lua
+  include("includes/weaponsettings_Transporter.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipTransportercameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,90,350" drag=true mouselook=true />
+      <CameraPosition position="0,150, 400" drag=true mouselook=true />
+      <CameraPosition position="0,200,550" drag=true mouselook=true />
+      <CameraPosition position="0,120,200" pitch="-80" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipTransporterengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 50
+   speedback      =  10
+   speedleftright =  10
+   speedupdown    =  10
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 20
+   accelerationbrake     = 20
+   accelerationback      = 10
+   accelerationleftright =  10
+   accelerationupdown    =  10
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=2 name=bltest position=" 22, -10, 87" colour="1, 0.7, 0.1, 1.0" width=10 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=2 name=bltest position="-22, -10, 87" colour="1, 0.7, 0.1, 1.0" width=10 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=3 name=bltest position=" 22, -10, 87" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=3 name=bltest position="-22, -10, 87" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=2 position=" 22, -10, 87" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=2 position="-22, -10, 87" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=1 position="22, -10, 87" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=1 position="-22, -10, 87" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/spaceship_Transporter_SL.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceship_Transporter_SL.oxt	(revision 6417)
+++ code/trunk/data/levels/templates/spaceship_Transporter_SL.oxt	(revision 6417)
@@ -0,0 +1,91 @@
+<Template name=spaceshipTransporterSL>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipTransportercameras
+   engine                 = spaceshipTransporterengine
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 1000
+   maxhealth         = 1500
+   initialhealth     = 1000
+
+   primaryThrust     = 50;
+   auxilaryThrust    = 10;
+   rotationThrust    = 15;
+
+   collisionType     = "dynamic"
+   mass              = 1000
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=10 mesh="Transporter.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+
+<?lua
+  include("includes/weaponsettings_Transporter.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipTransportercameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,90,350" drag=true mouselook=true />
+      <CameraPosition position="0,150, 400" drag=true mouselook=true />
+      <CameraPosition position="0,200,550" drag=true mouselook=true />
+      <CameraPosition position="0,120,200" pitch="-80" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipTransporterengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 50
+   speedback      =  10
+   speedleftright =  10
+   speedupdown    =  10
+
+
+   accelerationfront     = 20
+   accelerationbrake     = 20
+   accelerationback      = 10
+   accelerationleftright =  10
+   accelerationupdown    =  10
+  >
+    <EffectContainer condition="idle">
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=2 name=bltest position=" 22, -10, 87" colour="1, 0.7, 0.1, 1.0" width=10 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=2 name=bltest position="-22, -10, 87" colour="1, 0.7, 0.1, 1.0" width=10 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=3 name=bltest position=" 22, -10, 87" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=3 name=bltest position="-22, -10, 87" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=2 position=" 22, -10, 87" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=2 position="-22, -10, 87" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=1 position="22, -10, 87" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=1 position="-22, -10, 87" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/spaceship_assff.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceship_assff.oxt	(revision 5989)
+++ code/trunk/data/levels/templates/spaceship_assff.oxt	(revision 6417)
@@ -64,4 +64,7 @@
    speedupdown    =  50
 
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
    accelerationfront     = 500
    accelerationbrake     = 500
@@ -70,5 +73,8 @@
    accelerationupdown    =  125
   >
-    <active>
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" loop=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
       <FadingBillboard mainstate=activity active=false scale=0.1 position="0, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
 <!--
@@ -76,19 +82,22 @@
       <Light mainstate=visibility position="-8, 0, 8" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
 -->
-    </active>
-    <forward>
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
       <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
       <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-    </forward>
-    <boost>
+    </EffectContainer>
+    <EffectContainer condition="boost">
       <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
       <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-    </boost>
-    <brake>
+    </EffectContainer>
+    <EffectContainer condition="brake">
       <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
       <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
       <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
       <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
-    </brake>
+    </EffectContainer>
   </MultiStateEngine>
 </Template>
Index: code/trunk/data/levels/templates/spaceship_ghost.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceship_ghost.oxt	(revision 5989)
+++ code/trunk/data/levels/templates/spaceship_ghost.oxt	(revision 6417)
@@ -12,5 +12,5 @@
    initialhealth     = 100
 
-   primaryThrust     = 100;
+   primaryThrust     = 600;
    auxilaryThrust    = 30;
    rotationThrust    = 25;
@@ -33,5 +33,7 @@
       <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
     </collisionShapes>
-
+<?lua
+  include("includes/weaponsettings_ghost.oxi")
+?>
   </SpaceShip>
 </Template>
@@ -44,9 +46,4 @@
       <CameraPosition position="0,50,200" drag=true mouselook=true />
     </camerapositions>
-
-<?lua
-  include("includes/weaponsettings_ghost.oxi")
-?>
-
   </SpaceShip>
 </Template>
@@ -56,10 +53,10 @@
    boostfactor    = 2
 
-   speedfront     = 150
+   speedfront     = 600
    speedback      =  50
    speedleftright =  50
    speedupdown    =  50
 
-   accelerationfront     = 300
+   accelerationfront     = 700
    accelerationbrake     = 300
    accelerationback      =  100
@@ -67,23 +64,21 @@
    accelerationupdown    =  100
   >
-
-
-    <forward>
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 6.06, 3.66, 9.6" colour="1, 1, 1, 0.4" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-6.06, 3.66, 9.6" colour="1, 1, 1, 0.4" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 6.06, 5.66, 9.6" colour="1, 1, 1, 0.4" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-6.06, 5.66, 9.6" colour="1, 1, 1, 0.4" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 6.86, 4.66, 9.6" colour="1, 1, 1, 0.4" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-6.86, 4.66, 9.6" colour="1, 1, 1, 0.4" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-    </forward>
-    <boost>
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 6.06, 5.66, 11.6" colour="0.5, 0.85, 0.5, 0.1" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-6.06, 5.66, 11.6" colour="0.5, 0.85, 0.5, 0.1" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 6.06, 3.66, 11.6" colour="0.5, 0.85, 0.5, 0.1" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-6.06, 3.66, 11.6" colour="0.5, 0.85, 0.5, 0.1" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 6.86, 4.66, 11.6" colour="0.5, 0.85, 0.5, 0.1" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-6.86, 4.66, 11.6" colour="0.5, 0.85, 0.5, 0.1" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-    </boost>
-  </MultiStateEngine>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 3, 6" colour="0.0, 0.0, 0.0, 0.5" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 3, 6" colour="0.0, 0.0, 0.0, 0.5" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 3, 6" colour="0.0, 0.0, 0.0, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 3, 6" colour="0.0, 0.0, 0.0, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <Backlight mainstate=activity active=false scale=0.4 position="7.6, 3, 6" colour="1, 1, 1, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <Backlight mainstate=activity active=false scale=0.4 position="-7.6, 3, 6" colour="1, 1, 1, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.2, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.2, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+</MultiStateEngine>
 </Template>
 
Index: code/trunk/data/levels/test_ghost.oxw
===================================================================
--- code/trunk/data/levels/test_ghost.oxw	(revision 5989)
+++ code/trunk/data/levels/test_ghost.oxw	(revision 6417)
@@ -24,5 +24,5 @@
 max = 20
 for i = 1, max, 1
-do 
+do
     x = math.sin(i/max*6)*40000
     y = math.cos(i/max*6)*40000
@@ -30,10 +30,10 @@
     ?>
 <?lua
-for k = 1, 25, 1 
+for k = 1, 25, 1
 do
 j = math.random()
 ?>
-    
-    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+
+    <MovableEntity position="<?lua print(x + math.random() * 10000-2500) ?>,<?lua print(y + math.random() * 5000-2500) ?>,<?lua print(z + math.random() * 1000-500) ?>" <?lua if i == 5 then ?> collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> <?lua end ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
       <attached>
         <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
@@ -43,10 +43,10 @@
       </collisionShapes> <?lua end ?>
     </MovableEntity>
-<?lua 
+<?lua
 end
 ?>
 <?lua end ?>
     <Planet position="0,0,0" scale=10000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
-    
+
   </Scene>
 </Level>
